Package tigase.util.updater

# Class UpdatesChecker

java.lang.Object
tigase.util.common.TimerTask
tigase.component.ScheduledTask
tigase.util.updater.UpdatesChecker

All Implemented Interfaces:
  `Runnable`, `ConfigurationChangedAware`, `Initializable`, `UnregisterAware`

@Bean(name="update-checker", parent=MessageRouter.class, active=true) public class UpdatesChecker extends ScheduledTask
Describe class UpdatesChecker here.
Created: Fri Apr 18 09:35:32 2008

Author:
  Artur Hefczyc

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `UpdatesChecker.ProductInfoIfc`
  `static class`
  `UpdatesChecker.UpdatedVersionDiscovered`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PRODUCTS_REQUEST_KEY`
  `static final String`
  `VERSION_REQUEST_KEY`

  ### Fields inherited from class tigase.component.ScheduledTask

  `component`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdatesChecker()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `protected void`
  `onUpdatedVersionDiscovered(UpdatesChecker.UpdatedVersionDiscovered event)`
  `static Optional<Version>`
  `retrieveCurrentVersionFromServer(Version currentVersion, List<UpdatesChecker.ProductInfoIfc> products, String url, int timeoutInSeconds)`
  `void`
  `run()`
  `void`
  `setProductInfos(ArrayList<UpdatesChecker.ProductInfoIfc> productInfos)`

  ### Methods inherited from class tigase.component.ScheduledTask

  `beanConfigurationChanged, beforeUnregister`

  ### Methods inherited from class tigase.util.common.TimerTask

  `cancel, cancel, isCancelled, isScheduled, reset, setScheduledFuture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VERSION_REQUEST_KEY

    public static final String VERSION_REQUEST_KEY
    See Also:
      - Constant Field Values

  - ### PRODUCTS_REQUEST_KEY

    public static final String PRODUCTS_REQUEST_KEY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdatesChecker

    public UpdatesChecker()

- ## Method Details

  - ### retrieveCurrentVersionFromServer

    public static Optional<Version> retrieveCurrentVersionFromServer(Version currentVersion, List<UpdatesChecker.ProductInfoIfc> products, String url, int timeoutInSeconds)

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`
    Overrides:
      `initialize` in class `ScheduledTask`

  - ### run

    public void run()

  - ### setProductInfos

    public void setProductInfos(ArrayList<UpdatesChecker.ProductInfoIfc> productInfos)

  - ### onUpdatedVersionDiscovered

    @HandleEvent protected void onUpdatedVersionDiscovered(UpdatesChecker.UpdatedVersionDiscovered event)